# $Revision: 1.50 $, $Date: 2007-03-06 13:44:25 $
Summary:	Password Database Library
Summary(de.UTF-8):	Passwortdatenbank-Library
Summary(fr.UTF-8):	Bibliothèque de la base de données des mots de passe
Summary(pl.UTF-8):	Biblioteka Danych o użytkownikach
Summary(tr.UTF-8):	Parola veri tabanı arşivi
Name:		pwdb
Version:	0.61
Release:	7
License:	GPL/BSD
Group:		Base
Source0:	ftp://sysadm.sorosis.ro/pub/libpwdb/%{name}-%{version}.tar.gz
# Source0-md5:	47e2dc0d5590390fe7a3937961575b09
Patch0:		%{name}-pld.patch
BuildRequires:	sgml-tools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The pwdb package contains libpwdb, the password database library.
Libpwdb is a library which implements a generic user information
database. Libpwdb was specifically designed to work with Linux's PAM
(Pluggable Authentication Modules). Libpwdb allows configurable access
to and management of security tools like /etc/passwd, /etc/shadow and
network authentication systems including NIS and Radius.

%description -l de.UTF-8
Das pwdb-Paket enthält libpwdb, die Passwortdatenbank-Library. Libpwdb
ist eine Library, die eine Userinformations-Datenbank implementiert,
und mit Linux-PAM (Pluggable Authentication Modules) zusammenarbeited.
Libpwdb erlaubt konfigurierbaren Zugriff auf /etc/passwd, /etc/shadow
und Netzwerkauthentifizierungssysteme wie NIS und Radius.

%description -l fr.UTF-8
pwdb (Password Database Library) permet un accès configurable à (et la
gestion de) /etc/passwd, /etc/shadow ainsi que des systèmes
d'authentification réseau, dont NIS et Radius.

%description -l pl.UTF-8
Pwdb (Password Database Library) zapewnia spójny interfejs dostępu do
zarządzania bazami danych o użytkownikach. Biblioteka zwalnia
aplikacje od konieczności samodzielnego przetwarzania baz danych, oraz
daje administratorowi możliwość wyboru czy dane będą pochodzić z
/etc/passwd, /etc/shadow czy baz sieciowych jak NIS lub RADIUS,
poprzez prosty plik konfiguracyjny.

%description -l tr.UTF-8
pwdb, /etc/passwd ve /etc/shadow dosyalarının yönetimine ve erişimine,
NIS ve Radius içeren sistemlerde ağ doğrulamasına izin verir.

%package devel
Summary:	PWDB header files
Summary(pl.UTF-8):	Pliki nagłówkowe do PWDB
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for developing PWDB based applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe do PWDB do tworzenia aplikacji opartych o PWDB.

%package static
Summary:	PWDB static libraries
Summary(pl.UTF-8):	Biblioteki statyczne PWDB
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
PWDB static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne PWDB.

%prep
%setup -c -q
%patch0 -p1

%build
ln -sf defs/pld.defs default.defs

%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{__make} -C doc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/%{_lib},%{_includedir}/pwdb,%{_libdir}}

%{__make} install \
	INCLUDED=$RPM_BUILD_ROOT%{_includedir}/pwdb \
	LIBDIR=$RPM_BUILD_ROOT/%{_lib}

install conf/pwdb.conf $RPM_BUILD_ROOT%{_sysconfdir}/pwdb.conf

mv -f $RPM_BUILD_ROOT/%{_lib}/libp*.a	$RPM_BUILD_ROOT%{_libdir}

ln -sf /%{_lib}/libpwdb.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libpwdb.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/pwdb.txt doc/html/*.html
%config %verify(not md5 mtime size) %{_sysconfdir}/pwdb.conf
%attr(755,root,root) /%{_lib}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_includedir}/pwdb

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pwdb.spec,v $
Revision 1.50  2007-03-06 13:44:25  spider
- rel ++
- STBR

Revision 1.49  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.48  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.47  2006/11/09 20:57:28  glen
- strict internal deps

Revision 1.46  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.45  2005/12/13 14:37:24  glen
- adapterized (sorted %verify flags)

Revision 1.44  2004/10/31 21:05:47  paladine
- spaces->tabs
- formatting

Revision 1.43  2004/09/25 11:20:54  radek
- cosmetics (spaces -> tabs)

Revision 1.42  2004/01/02 17:55:33  jajcus
- Release: 6 (STBR after AMD64 fixes)

Revision 1.41  2003/12/18 23:35:21  qboosh
- unifications

Revision 1.40  2003/12/18 23:27:21  jajcus
- use %{_libdir} instead of /lib/

Revision 1.39  2003/10/04 08:57:58  blues
- release 5 ( 4 will be for RA)

Revision 1.38  2003/08/25 09:00:21  mmazur
- rel 3 for ac

Revision 1.37  2003/05/25 11:00:58  malekith
- massive attack, adding Source-md5

Revision 1.36  2003/05/25 06:25:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.35  2002/10/25 16:18:27  qboosh
- use absolute symlinks between directories
- killed subshell, new %doc
- release 2

Revision 1.34  2002/08/18 11:54:36  blues
- license fix

Revision 1.33  2002/02/23 04:25:50  kloczek
- adapterized.

Revision 1.32  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.31  2002/02/02 20:36:34  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.30  2002/01/18 02:14:43  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.29  2001/05/02 21:51:28  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.28  2000/06/09 07:23:52  kloczek
- added using %{__make} macro.

Revision 1.27  2000/05/15 05:37:02  kloczek
- updated to 0.61,
- spec adapterized.

Revision 1.26  2000/04/01 11:15:38  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.25  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.24  1999/10/04 13:25:12  kloczek
- updated to 0.60.

Revision 1.23  1999/07/28 15:21:42  kloczek
- release 5,
- added BuildRequires: sgml-tools.

Revision 1.22  1999/07/12 23:06:13  kloczek
- added using CVS keywords in %changelog (for automating them).
